package com.jiuqi.mde;

import com.jiuqi.util.JqLib;

/* compiled from: MDEDimension.java */
/* loaded from: com_jiuqi_mde.jar:com/jiuqi/mde/OrderDimension.class */
class OrderDimension extends MDEDimension {
    public OrderDimension() {
        this.name = MDEDimension.ORDER_NAME;
        this.title = MDEDimension.ORDER_NAME;
        this.fieldName = "sys_order";
        this.order = MAX_STR_DIM_VALUE;
        this.isString = false;
    }

    @Override // com.jiuqi.mde.MDEDimension
    public String getSQLFilter(String tablePrefix, Object dimValue) {
        return getSQLFilter(tablePrefix, dimValue, false);
    }

    @Override // com.jiuqi.mde.MDEDimension
    public String getSQLFilter(String tablePrefix, Object dimValue, boolean isPrepared) {
        if (dimValue == null) {
            return "";
        }
        StringBuffer filter = new StringBuffer(64);
        filter.append('(');
        if (tablePrefix != null) {
            filter.append(tablePrefix);
        }
        filter.append(this.fieldName);
        if (isPrepared) {
            filter.append("=?)");
        } else {
            filter.append("='");
            filter.append(JqLib.makeHexString(((Integer) dimValue).intValue()));
            filter.append("')");
        }
        return filter.toString();
    }
}
